# Manual d'usuari del &kde;

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Refà el cau de configuració del sistema.

## Sinopsis

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Descripció

`kbuildsycoca4`, forma part de les eines de línia d'ordres del &kde; i assegura l'adequada operació d'aquest en llegir tots els fitxers `.desktop`, `..xml`, i `.protocol` per a construir una base de dades binària.

El mateix &kde; accedeix a aquesta base de dades durant l'operació per a proveir la informació de configuració que necessita un programa per a executar-se.

Aquesta eina forma part de ksycoca4, que manté la memòria cau de la configuració del sistema &kde;

## Opcions

`--nosignal`

  No senyala les aplicacions per actualitzar

`--noincremental`

  Deshabilita l'actualització incremental, torna a llegir-ho tot

`--checkstamps`

  Comprova les marques de temps del fitxer

`--nocheckfiles`

  Desactiva la comprovació de fitxers (perillós)

`--global`

  Crea una base de dades global

`--menutest`

  Executa només una prova de generació de menú

`--track menu-ID`

  Segueix l'identificador de menú per a la depuració

`--help`

  Mostra ajuda quant a les opcions

`--help-qt`

  Mostra les opcions específiques de Qt

`--help-kde`

  Mostra les opcions específiques de KDE

`--help-all`

  Mostra totes les opcions

`--author`

  Mostra informació de l'autor

`-v, --version`

  Mostra informació de la versió

`--license`

  Mostra informació de llicència

## Ús

Una manera estàndard per executar aquest programa és simplement especificant l'ordre següent a l'indicatiu ``kbuildsycoca4``

## Fitxers

`/var/tmp/kde-$USER/ksycoca4`

  El directori per omissió a on s'emmagatzemaran els fitxers de memòria cau.

## Variables d'entorn

$`KDEDIRS`

  Especifica quins directoris formen part de la instal·lació de KDE

$`KDESYCOCA`

  Especifica el camí al fitxer de la base de dades sycoca

## Veure també

kdeinit4

## Errors

Probablement hi ha molts errors. Useu bugs.kde.org per a informar-los.